package com.huimv.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.common.utils.ResultCode;
import com.huimv.admin.entity.ProtSheepInfo;
import com.huimv.admin.mapper.ProtSheepInfoMapper;
import com.huimv.admin.service.IProtSheepInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 单个羊只信息 服务实现类
 * </p>
 *
 * @author author
 * @since 2024-08-14
 */
@Service
public class ProtSheepInfoServiceImpl extends ServiceImpl<ProtSheepInfoMapper, ProtSheepInfo> implements IProtSheepInfoService {

    @Autowired
    private ProtSheepInfoMapper sheepInfoMapper;

    @Override
    public Result listPage(Map<String, String> paramsMap) {
        String pageNum = paramsMap.get("pageNum");
        String pageSize = paramsMap.get("pageSize");
        String farmId = paramsMap.get("farmId");
        String sheepId = paramsMap.get("sheepId");
        if ("".equals(pageNum) || null == pageNum) {
            pageNum = "1";
            pageSize = "20";
        }
        Page<ProtSheepInfo> page = new Page(Integer.parseInt(pageNum), Integer.parseInt(pageSize));
        QueryWrapper<ProtSheepInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_id", farmId).like(StringUtils.isNotBlank(sheepId), "sheep_id", sheepId);
        return new Result(ResultCode.SUCCESS, sheepInfoMapper.selectPage(page, queryWrapper));
    }
}
